package com.objis.spring.demojmx;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

import org.apache.log4j.Logger;
import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

import com.objis.spring.demojmx.service.CalculateurSalaire;

public class DemoJMX {

	private static final Logger logger = Logger.getLogger(DemoJMX.class);

	public static void main(String[] args) {
		// 1. Chargement du conteneur
		ApplicationContext appContext = (ApplicationContext) new ClassPathXmlApplicationContext("jmx-beans.xml");

		// 2. Recupration d'un bean
		CalculateurSalaire calc = (CalculateurSalaire) appContext.getBean("calculateur");

		// 3. Utilisation du bean
		logger.info("Augmentation de salaire initiale "	+ calc.getAugmentation() + " euros");

		// Enntre manuelle par l'utilisateur de la nouvelle augmentation
		String nouvelleAugmentation = "";
		do {
			logger.info("Quelle nouvelle Augmentation pour vos salaries ? Entrez 0 pour arrter ");
			try {
				nouvelleAugmentation = (new BufferedReader(	new InputStreamReader(System.in))).readLine();
			} catch (IOException e) {e.printStackTrace();}

			calc.setAugmentation(Integer.parseInt(nouvelleAugmentation));   // Mise  jour de l'tat du bean  monitorer

		} while (!"0".equals(nouvelleAugmentation));
	}
}
